#
# spec file for package inputproto
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           inputproto
Version:        2.3.2
Release:        lp152.3.2
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Input extension
License:        X11
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/inputproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/inputproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Input protocol headers for X11 development.
This extension defines a protocol to provide additional input devices
management such as graphic tablets.

%package devel
Summary:        The X11 Protocol: X Input extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/inputproto.pc

%description devel
The Input protocol headers for X11 development.
This extension defines a protocol to provide additional input devices
management such as graphic tablets.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Apr  7 2016 sndirsch@suse.com
- release 2.3.2
  * Two fixes to the specs (i.e. text-file only). And Andreas' patch
    fixes up our asciidoc output to provide consistent output on rebuilds.
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Wed Jun  4 2014 sndirsch@suse.com
- release 2.3.1
  * Just a simple maintenance release. User-visible changes include
    one invalid #define fixed in the header file and the conditional
    removal of the "Pointer" typedef to avoid name clashes and the
    matching changes of the struct tmask.
  * Note: unless _XITYPEDEF_POINTER is defined, the Pointer typedef
    is still there, so we're not breaking anything here. And the
    struct tmask is only used by the server anyway and shouldn't be
    in the header to begin with.
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING file to %%doc
* Mon Apr 28 2014 cfarrell@suse.com
- license update: X11
  See COPYING. Also, install COPYING in %%doc
* Wed Apr 23 2014 tobias.johannes.klausmann@mni.thm.de
- Created package inputproto with initial version 2.3
